Currencier - 2.4 - Currency-converter widget

Currencier is a currency-converter with widget for notification center.

What’s New in Currencier

Version 2.3:

  • Fixes

Requirements for Currencier

  • Intel, 64-bit processor
  • OS X 10.10 or later
  • Mac users may face variety of errors and Can not run the downloaded Apps at normal. Basically, that Disable GateKeeper would help to get rid of troubles. Otherwise, take a look on this article to address your cases for further solutions.
Screenshots:
Size: 10.59 MB

Leave a Reply

Leave a Reply

Your email address will not be published. Required fields are marked *